#!/bin/bash
#
# Copyright 2013 Parallel Data Lab (Carnegie Mellon University)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Define the variables
PATH_BASE="/tmp/smr"
PATH_SMR=$PATH_BASE"/sfs"
PATH_TRN=$PATH_BASE"/trn"
PATH_TMPFS=$PATH_BASE"/tmpfs"


# Clean up the working environment
echo "Cleaning up..."
fusermount -u $PATH_SMR
fusermount -u $PATH_TRN
sudo umount $PATH_TMPFS
rm -rf $PATH_BASE/*
rm /tmp/smr*.log
rm /tmp/smr*.csv
echo "Cleanup complete!"
